; $Id: fetchl1_1crislowpriorityratefield.pro,v 1.1 1998/03/09 18:17:22 rgr Exp $

; $RCSfile: fetchl1_1crislowpriorityratefield.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:17:22 $
; $Revision: 1.1 $

pro FetchL1_1CrisLowPriorityRateField, fieldname,              $
                                       sec1996_0,              $
                                       sec1996_1,              $
                                       value,                  $
                                       ndata

   common SbFetchL1_1CrisLowPriorityRateField, sec0, sec1, lp

   if (n_elements(sec0) eq 0) then begin
      sec0 = sec1996_0
      sec1 = sec1996_1
      lp = get_group_lo_rates_ce(sec0, sec1)
   endif
   if ((sec1996_0 ne sec0) or (sec1996_1 ne sec1)) then begin
      sec0 = sec1996_0
      sec1 = sec1996_1
      lp = get_group_lo_rates_ce(sec0, sec1)
   endif
   ndata = n_elements(lp) - 1

   rate = lp
   if (ndata eq 0) then return

   nsub = 0
   field = fieldname
   
   bracket0 = byte('[')
   bracket1 = byte(']')
   character = byte(field)
   index = where((character eq bracket0[0]) or                        $
                 (character eq bracket1[0]), nbracket)
   if (nbracket eq 2) then begin
      field = strmid(fieldname, 0, index[0])
      subscripts = strmid(fieldname, index[0] + 1,                    $
                                             (index[1] -index[0] - 1))
      comma = byte(',')
      character = byte(subscripts)
      index = where(character eq comma(0), nsub)
      nsub = nsub + 1
      sub = intarr(nsub)
      reads, subscripts, sub
   endif

   field = '.' + field + '.'
   period = byte('.')
   character = byte(field)
   index = where(character eq period[0], NumberSubfields)
   for i=1,NumberSubfields-1 do begin
      fld = strmid(field, index[i-1]+1, (index[i] - index[i-1]) - 1)
      name = tag_names(rate[0])
      tag = where(name eq strupcase(fld), ntag)
      if (ntag eq 0) then begin
         print,'L1_1CrisLowPriortyRate does not contain the field ',  $
            fieldname
         ndata = 0
         return
      endif
      rate = rate.(tag[0])
   endfor

   case nsub of
         0: value = rate[0:ndata-1]
         1: value = rate[sub[0], 0:ndata-1]
         2: value = rate[sub[0],sub[1], 0:ndata-1]
         3: value = rate[sub[0],sub[1],sub[2], 0:ndata-1]
         4: value = rate[sub[0],sub[1],sub[2],sub[3], 0:ndata-1]
         5: value = rate[sub[0],sub[1],sub[2],sub[3],sub[4], 0:ndata-1]
      else: ndata = 0
   endcase

   if (ndata gt 0) then  value = reform(value, ndata, /overwrite)

end
