; $Id: unpackcrishodoscopedata.pro,v 1.3 1998/02/04 22:03:10 rgr Exp $

; $RCSfile: unpackcrishodoscopedata.pro,v $
; $Author: rgr $
; $Date: 1998/02/04 22:03:10 $
; $Revision: 1.3 $

pro UnpackCrisHodoscopeData, telemetry, index, event

   common CrisSymbols
   
   nevent = n_elements(index)
   MaxBlob = G$_Cris.CeMaxBlobs
   
   blobs = bytarr(3 * MaxBlob, nevent, /nozero)
   blobs(*,*) = 'ff'XB
   mask = intarr(MaxBlob, nevent, /nozero)
   mask(*,*) = 'ffff'X
   set = where(event.nblobs gt 0, ncount)
   if (ncount gt 0) then begin
      for i=0, ncount-1 do begin
         nbyte = 3*event(set(i)).nblobs
         ibyte1 = index(set(i))
         ibyte2 = ibyte1 + nbyte - 1
         blobs(0 : nbyte-1, set(i)) = telemetry(ibyte1 : ibyte2)
         nomask = event(set(i)).nblobs 
         mask(0 : nomask-1, set(i)) = 0
      endfor
   endif
   
   blobs = reform(blobs, 3, MaxBlob, nevent, /overwrite)
   blobs = ishft(long(blobs(0,*,*)), 16) or                           $
           ishft(long(blobs(1,*,*)), 8)  or long(blobs(2,*,*))
   blobs = reform(blobs, MaxBlob, nevent, /overwrite)
   event(0 : nevent-1).hodo.x = mask or                               $
                               fix(ishft(blobs, -14) and '000003ff'XL)
   event(0 : nevent-1).hodo.y = mask or                               $
                                fix(ishft(blobs, -5) and '000001ff'XL)
   event(0 : nevent-1).hodo.I = mask or fix(blobs and '0000001f'XL)

   set=where(event(0 : nevent-1).cam eq 0, nset)
   if (nset gt 0) then begin
      if (nset eq 1) then set = set(0)
      xoffset = G$_Cris.SoftCameraAXPixelOffset
      event(set).hodo.x = event(set).hodo.x +                         $
                               ((event(set).hodo.x < 0) + 1) * xoffset
   endif
   set=where(event(0 : nevent-1).cam eq 1, nset)
   if (nset gt 0) then begin
      if (nset eq 1) then set = set(0)
      xoffset = G$_Cris.SoftCameraBXPixelOffset
      event(set).hodo.x = event(set).hodo.x +                         $
                               ((event(set).hodo.x < 0) + 1) * xoffset
   endif
   
   index = index + 3*event(0 : nevent-1).nblobs

end
