; $Id: plotcrisbrowse.pro,v 1.1 1998/01/26 17:53:34 rgr Exp $

; $RCSfile: plotcrisbrowse.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:53:34 $
; $Revision: 1.1 $


pro PlotCrisBrowse, sec0, sec1, _EXTRA=extra

   bp = get_group_browse_params_c(sec0, sec1)
   npoint = n_elements(bp)
   bp = bp(0:npoint-2)

   second1996 = long(bp.bin_start)
   ytitle = 'cts / sec-MeV/n-cm!E2!N-steradian'

   title='Helium (31 to 41 MeV/n)'
   index = where((bp.WgtFactHelium_31 gt 0.0) and                     $
                 (bp.FluxHelium_31 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_31,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (41 to 70 MeV/n)'
   index = where((bp.WgtFactHelium_41 gt 0.0) and                     $
                 (bp.FluxHelium_41 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_41,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (70 to 102 MeV/n)'
   index = where((bp.WgtFactHelium_70 gt 0.0) and                     $
                 (bp.FluxHelium_70 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_70,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (63 to 84 MeV/n)'
   index = where((bp.WgtFactCno_63 gt 0.0) and                        $
                 (bp.FluxCno_63 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_63,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (84 to 144 MeV/n)'
   index = where((bp.WgtFactCno_84 gt 0.0) and                        $
                 (bp.FluxCno_84 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_84,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (144 to 210 MeV/n)'
   index = where((bp.WgtFactCno_144 gt 0.0) and                       $
                 (bp.FluxCno_144 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_144,             $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (84 to 210 MeV/n)'
   index = where((bp.WgtFactCnoSum gt 0.0) and                        $
                 (bp.FluxCnoSum gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCnoSum,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (92 to 124 MeV/n)'
   index = where((bp.WgtFactHiZ_92 gt 0.0) and                        $
                 (bp.FluxHiZ_92 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_92,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (124 to 220 MeV/n)'
   index = where((bp.WgtFactHiZ_124 gt 0.0) and                       $
                 (bp.FluxHiZ_124 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_124,             $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (220 to 320 MeV/n)'
   index = where((bp.WgtFactHiZ_220 gt 0.0) and                       $
                 (bp.FluxHiZ_220 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_220,             $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (92 to 220 MeV/n)'
   index = where((bp.WgtFactHiZSum gt 0.0) and                        $
                 (bp.FluxHiZSum gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZSum,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   ytitle = 'cts / sec-cm!E2!N-steradian'

   title='Penetrating (120 to !M$!X MeV/n)'
   index = where((bp.WgtFactPen gt 0.0) and                           $
                 (bp.FluxPen gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxPen, _EXTRA=extra,   $
           YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (300 to !M$!X MeV/n)'
   index = where((bp.WgtFactPenSubset gt 0.0) and                     $
                 (bp.FluxPenSubset gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxPenSubset,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

end
