; $Id: computesisrejectrates.pro,v 1.1 1998/02/20 23:19:00 rgr Exp $

; $RCSfile: computesisrejectrates.pro,v $
; $Author: rgr $
; $Date: 1998/02/20 23:19:00 $
; $Revision: 1.1 $

pro computeSisRejectRates, lp, engr

   livetim = engr.livetim > 1.0e-6
   nrtproc = UncompressSisValue(lp.nrtproc) > 1.0

   factor = engr.nhdwrej / (nrtproc * livetim)
   
   engr.RejectRate.m1a  = factor * UncompressSisValue(lp.RejcntsM1a)
   engr.RejectRate.m1ha = factor * UncompressSisValue(lp.RejcntsM1ha)
   engr.RejectRate.m2a  = factor * UncompressSisValue(lp.RejcntsM2a)
   engr.RejectRate.m2ha = factor * UncompressSisValue(lp.RejcntsM2ha)
   engr.RejectRate.t1a  = factor * UncompressSisValue(lp.RejcntsT1a)
   engr.RejectRate.t2a  = factor * UncompressSisValue(lp.RejcntsT2a)
   engr.RejectRate.t3a  = factor * UncompressSisValue(lp.RejcntsT3a)
   engr.RejectRate.t4a  = factor * UncompressSisValue(lp.RejcntsT4a)
   engr.RejectRate.t5a  = factor * UncompressSisValue(lp.RejcntsT5a)
   engr.RejectRate.t6a  = factor * UncompressSisValue(lp.RejcntsT6a)
   engr.RejectRate.t7a  = factor * UncompressSisValue(lp.RejcntsT7a)
   engr.RejectRate.t8a  = factor * UncompressSisValue(lp.RejcntsT8a)
   engr.RejectRate.m12a = factor * UncompressSisValue(lp.RejcntsM12a)
   engr.RejectRate.mora = factor * UncompressSisValue(lp.RejcntsMora)
   engr.RejectRate.hora = factor * UncompressSisValue(lp.RejcntsHora)
   engr.RejectRate.hiza = factor * UncompressSisValue(lp.RejcntsHiza)
   engr.RejectRate.MaybeHiza = factor *                               $
                               UncompressSisValue(lp.RejcntsMaybeHiza)
   engr.RejectRate.z2a       = factor *                               $
                                     UncompressSisValue(lp.RejcntsZ2a)
   engr.RejectRate.MaybeZ2a  = factor *                               $
                                UncompressSisValue(lp.RejcntsMaybeZ2a)
   engr.RejectRate.MaybeZ1a  = factor *                               $
                                UncompressSisValue(lp.RejcntsMaybeZ1a)
   engr.RejectRate.m1b  = factor * UncompressSisValue(lp.RejcntsM1b)
   engr.RejectRate.m1hb = factor * UncompressSisValue(lp.RejcntsM1hb)
   engr.RejectRate.m2b  = factor * UncompressSisValue(lp.RejcntsM2b)
   engr.RejectRate.m2hb = factor * UncompressSisValue(lp.RejcntsM2hb)
   engr.RejectRate.t1b  = factor * UncompressSisValue(lp.RejcntsT1b)
   engr.RejectRate.t2b  = factor * UncompressSisValue(lp.RejcntsT2b)
   engr.RejectRate.t3b  = factor * UncompressSisValue(lp.RejcntsT3b)
   engr.RejectRate.t4b  = factor * UncompressSisValue(lp.RejcntsT4b)
   engr.RejectRate.t5b  = factor * UncompressSisValue(lp.RejcntsT5b)
   engr.RejectRate.t6b  = factor * UncompressSisValue(lp.RejcntsT6b)
   engr.RejectRate.t7b  = factor * UncompressSisValue(lp.RejcntsT7b)
   engr.RejectRate.t8b  = factor * UncompressSisValue(lp.RejcntsT8b)
   engr.RejectRate.m12b = factor * UncompressSisValue(lp.RejcntsM12b)
   engr.RejectRate.morb = factor * UncompressSisValue(lp.RejcntsMorb)
   engr.RejectRate.horb = factor * UncompressSisValue(lp.RejcntsHorb)
   engr.RejectRate.hizb = factor * UncompressSisValue(lp.RejcntsHizb)
   engr.RejectRate.MaybeHizb = factor *                               $
                               UncompressSisValue(lp.RejcntsMaybeHizb)
   engr.RejectRate.z2b       = factor *                               $
                                     UncompressSisValue(lp.RejcntsZ2b)
   engr.RejectRate.MaybeZ2b  = factor *                               $
                                UncompressSisValue(lp.RejcntsMaybeZ2b)
   engr.RejectRate.MaybeZ1b  = factor *                               $
                                UncompressSisValue(lp.RejcntsMaybeZ1b)
   engr.RejectRate.RejFast   = factor *                               $
                                 UncompressSisValue(lp.RejcntsRejFast)
   engr.RejectRate.StimCoin  = factor *                               $
                                UncompressSisValue(lp.RejcntsStimCoin)
   engr.RejectRate.hazard    = factor *                               $
                                  UncompressSisValue(lp.RejcntsHazard)
   engr.RejectRate.adc2a     = factor *                               $
                                   UncompressSisValue(lp.RejcntsAdc2a)
   engr.RejectRate.adc3a     = factor *                               $
                                   UncompressSisValue(lp.RejcntsAdc3a)
   engr.RejectRate.adc2b     = factor *                               $
                                   UncompressSisValue(lp.RejcntsAdc2b)
   engr.RejectRate.adc3b     = factor *                               $
                                   UncompressSisValue(lp.RejcntsAdc3b)
   engr.RejectRate.CoinRate0 = factor *                               $
                               UncompressSisValue(lp.RejcntsCoinRate0)
   engr.RejectRate.CoinRate1 = factor *                               $
                               UncompressSisValue(lp.RejcntsCoinRate1)

   quality = lp.QualityNhdwrej or lp.QualityNrtproc                   $
                               or lp.QualityLivetim

   engr.QualityRejectRate.m1a  = quality or lp.QualityRejcntsM1a
   engr.QualityRejectRate.m1ha = quality or lp.QualityRejcntsM1ha
   engr.QualityRejectRate.m2a  = quality or lp.QualityRejcntsM2a
   engr.QualityRejectRate.m2ha = quality or lp.QualityRejcntsM2ha
   engr.QualityRejectRate.t1a  = quality or lp.QualityRejcntsT1a
   engr.QualityRejectRate.t2a  = quality or lp.QualityRejcntsT2a
   engr.QualityRejectRate.t3a  = quality or lp.QualityRejcntsT3a
   engr.QualityRejectRate.t4a  = quality or lp.QualityRejcntsT4a
   engr.QualityRejectRate.t5a  = quality or lp.QualityRejcntsT5a
   engr.QualityRejectRate.t6a  = quality or lp.QualityRejcntsT6a
   engr.QualityRejectRate.t7a  = quality or lp.QualityRejcntsT7a
   engr.QualityRejectRate.t8a  = quality or lp.QualityRejcntsT8a
   engr.QualityRejectRate.m12a = quality or lp.QualityRejcntsM12a
   engr.QualityRejectRate.mora = quality or lp.QualityRejcntsMora
   engr.QualityRejectRate.hora = quality or lp.QualityRejcntsHora
   engr.QualityRejectRate.hiza = quality or lp.QualityRejcntsHiza
   engr.QualityRejectRate.MaybeHiza = quality or                      $
                                            lp.QualityRejcntsMaybeHiza
   engr.QualityRejectRate.z2a       = quality or lp.QualityRejcntsZ2a
   engr.QualityRejectRate.MaybeZ2a  = quality or                      $
                                             lp.QualityRejcntsMaybeZ2a
   engr.QualityRejectRate.MaybeZ1a  = quality or                      $
                                             lp.QualityRejcntsMaybeZ1a
   engr.QualityRejectRate.m1b  = quality or lp.QualityRejcntsM1b
   engr.QualityRejectRate.m1hb = quality or lp.QualityRejcntsM1hb
   engr.QualityRejectRate.m2b  = quality or lp.QualityRejcntsM2b
   engr.QualityRejectRate.m2hb = quality or lp.QualityRejcntsM2hb
   engr.QualityRejectRate.t1b  = quality or lp.QualityRejcntsT1b
   engr.QualityRejectRate.t2b  = quality or lp.QualityRejcntsT2b
   engr.QualityRejectRate.t3b  = quality or lp.QualityRejcntsT3b
   engr.QualityRejectRate.t4b  = quality or lp.QualityRejcntsT4b
   engr.QualityRejectRate.t5b  = quality or lp.QualityRejcntsT5b
   engr.QualityRejectRate.t6b  = quality or lp.QualityRejcntsT6b
   engr.QualityRejectRate.t7b  = quality or lp.QualityRejcntsT7b
   engr.QualityRejectRate.t8b  = quality or lp.QualityRejcntsT8b
   engr.QualityRejectRate.m12b = quality or lp.QualityRejcntsM12b
   engr.QualityRejectRate.morb = quality or lp.QualityRejcntsMorb
   engr.QualityRejectRate.horb = quality or lp.QualityRejcntsHorb
   engr.QualityRejectRate.hizb = quality or lp.QualityRejcntsHizb
   engr.QualityRejectRate.MaybeHizb = quality or                      $
                                            lp.QualityRejcntsMaybeHizb
   engr.QualityRejectRate.z2b       = quality or lp.QualityRejcntsZ2b
   engr.QualityRejectRate.MaybeZ2b  = quality or                      $
                                             lp.QualityRejcntsMaybeZ2b
   engr.QualityRejectRate.MaybeZ1b  = quality or                      $
                                             lp.QualityRejcntsMaybeZ1b
   engr.QualityRejectRate.RejFast   = quality or                      $
                                              lp.QualityRejcntsRejFast
   engr.QualityRejectRate.StimCoin  = quality or                      $
                                             lp.QualityRejcntsStimCoin
   engr.QualityRejectRate.hazard    = quality or                      $
                                               lp.QualityRejcntsHazard
   engr.QualityRejectRate.adc2a     = quality or lp.QualityRejcntsAdc2a
   engr.QualityRejectRate.adc3a     = quality or lp.QualityRejcntsAdc3a
   engr.QualityRejectRate.adc2b     = quality or lp.QualityRejcntsAdc2b
   engr.QualityRejectRate.adc3b     = quality or lp.QualityRejcntsAdc3b
   engr.QualityRejectRate.CoinRate0 = quality or                      $
                                            lp.QualityRejcntsCoinRate0
   engr.QualityRejectRate.CoinRate1 = quality or                      $
                                            lp.QualityRejcntsCoinRate1

end
