/* $Id: unpackEventCycle_s.c,v 1.3 1998/03/09 17:45:15 rgr Exp $ */

/* $RCSfile: unpackEventCycle_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/03/09 17:45:15 $ */
/* $Revision: 1.3 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "sis.h"

#include "sis/checkCompressedEvent_s.h"
#include "sis/unpackEventHeader_s.h"
#include "sis/unpackPeakAndOffsetData_s.h"
#include "sis/unpackStackPhas_s.h"
#include "sis/unpackMatrixStrips_s.h"
#include "sis/unpackStimData_s.h"


#define NMNF  NUM_SIS_MNFS_PER_CYCLE

int unpackEventCycle_s(struct L1SisEventCycle *EventCycle,
                          struct L1_1SisEvent *event)
{
   struct L1_1SisEvent *evt;

    uint8 *EventBuffer;
      int i;
   uint32 index;
   uint16 nevent;
      int nevt;

   nevent = EventCycle->NumberEvents;
   EventBuffer = EventCycle->EventBuffer;

   index = 0;
   nevt = 0;
   for (i=0; i<nevent; i++) {
      evt = event + nevt;
      if (checkCompressedEvent_s(EventBuffer, index)) {
         index += (uint32) (EventBuffer[index] & 0x7f) + 3;
         continue;
      }
      evt->Second1996 = EventCycle->Second1996;
      evt->microsecond = EventCycle->microsecond;
      unpackEventHeader_s(EventBuffer, &index, evt);
      unpackPeakAndOffsetData_s(EventBuffer, &index, evt);
      unpackStackPhas_s(EventBuffer, &index, evt);
      unpackMatrixStrips_s(EventBuffer, &index, evt);
      unpackStimData_s(EventBuffer, &index, evt);
      evt->EventNumber = EventCycle->ClockCycle + 
                         NMNF * ((uint32) EventBuffer[index]) +
                         (uint32) EventBuffer[index+1];
      evt->EventOffset = EventBuffer[index+2];
      index += 3;
      nevt++;
   }
   evt = event + nevt;
   evt->EventNumber = 0L;
   evt->Second1996 = 0L;
   evt->microsecond = 0L;

   return nevt;
}

#undef NMNF
