/* $Id: BrowseCrisPigeonHole.c,v 1.2 1998/02/21 00:06:42 rgr Exp $ */

/* $RCSfile: BrowseCrisPigeonHole.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/21 00:06:42 $ */
/* $Revision: 1.2 $ */


#include <stdio.h>
#include <string.h>

#include "mfhdf.h"
#include "df.h"

#include "aosr.h"
#include "ccr.h"

#include "cris.h"
#include "sis.h"

#include "asc/prototype.h"
#include "crisPutData.h"


void main(argc, argv)
int argc;
char *argv[];
{
  int32 hdf_fp, sd_id;
  struct BrowseCris browsec;
  int ii,retval;

  if (argc!=2)
    {
      printf("Usage: rd_hdf hdf_file\n");
      exit(1);
    }

  /* open hdf input file */

  if ((hdf_fp=Hopen(argv[1], DFACC_RDONLY, 0))==FAIL)
    {
      fprintf(stderr, "Hopen: could not open hdf file\n");
      exit(-1);
    }
  Vstart(hdf_fp);

if ((sd_id=SDstart(argv[1], DFACC_RDONLY))==FAIL)
    {
      fprintf(stderr, "SDstart: could not open hdf file\n");
      exit(-1);
    }
  printf("\n");

 
  ii = 0;
  if (init_rd_BrowseCris(hdf_fp, sd_id, "r")) {
     while((retval= read_BrowseCris(&browsec,ii))!=FAIL) {
         putCrisBrowseParameters(&browsec);
         ii++;
     }
  }
  printf("Number of CRIS Browse structures written: %d\n", ii);


  /* all done, close HDF file */

  close_rd_BrowseCris();

  Vend(hdf_fp);
  if (SDend(sd_id)==FAIL)
    {
      fprintf(stderr, "SDend: could not close hdf file\n");
      exit(-1);
    }
  if (Hclose(hdf_fp)==FAIL)
    {
      fprintf(stderr, "Hclose: could not close hdf file\n");
      exit(-1);
    }

  exit(0);
}
