/* $Id: L1CrisPigeonHole.c,v 1.3 1998/02/21 00:08:26 rgr Exp $ */

/* $RCSfile: L1CrisPigeonHole.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/21 00:08:26 $ */
/* $Revision: 1.3 $ */


#include <stdio.h>
#include <string.h>

#include "mfhdf.h"
#include "df.h"

#include "aosr.h"
#include "ccr.h"

#include "cris.h"
#include "sis.h"

#include "asc/prototype.h"
#include "crisPutData.h"

void main(argc, argv)
int argc;
char *argv[];
{
  int32 hdf_fp, sd_id;
  struct L1CrisCommandEcho echo_c;
  struct L1CrisCommandTable ct_c;
  struct L1CrisEventCycle evt_c;
  struct L1CrisHighPriorityRate hp_c[1001];
  struct L1CrisHskp hskp_c;
  struct L1CrisLowPriorityRate lp_c;
  struct L1CrisSubset sub_c[1001];
  struct L1CrisSummary sum_c[1001];
  struct L1CrisDiagnosticEvent diag_c[33];

  int ii,jj,kk,retval;

  if (argc!=2)
    {
      printf("Usage: rd_hdf hdf_file\n");
      exit(1);
    }

  /* open hdf input file */

  if ((hdf_fp=Hopen(argv[1], DFACC_RDONLY, 0))==FAIL)
    {
      fprintf(stderr, "Hopen: could not open hdf file\n");
      exit(-1);
    }
  Vstart(hdf_fp);

if ((sd_id=SDstart(argv[1], DFACC_RDONLY))==FAIL)
    {
      fprintf(stderr, "SDstart: could not open hdf file\n");
      exit(-1);
    }
  printf("\n");


  ii = 0;
  if (init_rd_L1CrisCommandEcho(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisCommandEcho(&echo_c,ii))!=FAIL) {
        putCrisCommandEcho(&echo_c);
        ii++;
     }
  }
  printf("Number of CRIS command echoes written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisCommandTable(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisCommandTable(&ct_c,ii))!=FAIL) {
        putCrisCommandTable(&ct_c);
        ii++;
     }
  }
  printf("Number of CRIS command tables written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisEventCycle(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisEventCycle(&evt_c,ii))!=FAIL) {
        putCrisEvents(&evt_c);
        ii++;
     }
  }
  printf("Number of CRIS event cycles written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisHighPriorityRate(hdf_fp, sd_id, "r")) {
     while((retval=
           read_L1CrisHighPriorityRate(hp_c+(ii % 1000),ii))!=FAIL) {
        ii++;
        if (!(ii % 1000)) {
           hp_c[1000].ClockMinorFrame = 0;
           hp_c[1000].Second1996 = 0;
           hp_c[1000].microsecond = 0;
           putCrisHighPriorityRatesGroup(hp_c);
        }
     }
     if (ii % 1000) {
        hp_c[ii % 1000].ClockMinorFrame = 0;
        hp_c[ii % 1000].Second1996 = 0;
        hp_c[ii % 1000].microsecond = 0;
        putCrisHighPriorityRatesGroup(hp_c);
     }
  }
  printf("Number of CRIS high priority rate records written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisHskp(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisHskp(&hskp_c,ii))!=FAIL) {
        putCrisHskp(&hskp_c);
        ii++;
     }
  }
  printf("Number of CRIS hskp records written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisLowPriorityRate(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisLowPriorityRate(&lp_c,ii))!=FAIL) {
        putCrisLowPriorityRates(&lp_c);
        ii++;
     }
  }
  printf("Number of CRIS low priority rate records written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisSubset(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisSubset(sub_c+(ii % 1000),ii))!=FAIL) {
        ii++;
        if (!(ii % 1000)) {
           sub_c[1000].ClockMinorFrame = 0;
           sub_c[1000].Second1996 = 0;
           sub_c[1000].microsecond = 0;
           putCrisSubsetGroup(sub_c);
        }
     }
     if (ii % 1000) {
        sub_c[ii % 1000].ClockMinorFrame = 0;
        sub_c[ii % 1000].Second1996 = 0;
        sub_c[ii % 1000].microsecond = 0;
        putCrisSubsetGroup(sub_c);
     }
  }
  printf("Number of CRIS subsets written: %d\n", ii);


  ii = 0;
  if (init_rd_L1CrisSummary(hdf_fp, sd_id, "r")) {
     while((retval= read_L1CrisSummary(sum_c+(ii % 1000),ii))!=FAIL) {
        ii++;
        if (!(ii % 1000)) {
           sum_c[1000].ClockMinorFrame = 0;
           sum_c[1000].Second1996 = 0;
           sum_c[1000].microsecond = 0;
           putCrisSummaryGroup(sum_c);
        }
     }
     if (ii % 1000) {
        sum_c[ii % 1000].ClockMinorFrame = 0;
        sum_c[ii % 1000].Second1996 = 0;
        sum_c[ii % 1000].microsecond = 0;
        putCrisSummaryGroup(sum_c);
     }
  }
  printf("Number of CRIS summaries written: %d\n", ii);


  ii = 0;
  jj = 0;
  kk = 0;
  if (init_rd_L1CrisDiagnosticEvent(hdf_fp, sd_id, "r")) {
     while((retval = read_L1CrisDiagnosticEvent(diag_c+kk,ii))!=FAIL) {
        kk++;
        if (!diag_c[kk - 1].ContinuationFlag) {
           diag_c[kk].ClockMinorFrame0 = 0;
           diag_c[kk].ClockMinorFrame1 = 0;
           diag_c[kk].Second1996MinorFrame0 = 0;
           diag_c[kk].Second1996MinorFrame1 = 0;
           diag_c[kk].MicrosecondMinorFrame0 = 0;
           diag_c[kk].MicrosecondMinorFrame1 = 0;
           putCrisDiagnosticEventGroup(diag_c);
           jj++;
           kk = 0;
        }
        ii++;
     }
  }
  printf("Number of CRIS diagnostic events  written: %d\n", jj);

  printf("\n");


  /* all done, close HDF file */

  close_rd_L1CrisCommandEcho();
  close_rd_L1CrisCommandTable();
  close_rd_L1CrisEventCycle();
  close_rd_L1CrisHighPriorityRate();
  close_rd_L1CrisHskp();
  close_rd_L1CrisLowPriorityRate();
  close_rd_L1CrisSubset();
  close_rd_L1CrisSummary();
  close_rd_L1CrisDiagnosticEvent();

  Vend(hdf_fp);
  if (SDend(sd_id)==FAIL)
    {
      fprintf(stderr, "SDend: could not close hdf file\n");
      exit(-1);
    }
  if (Hclose(hdf_fp)==FAIL)
    {
      fprintf(stderr, "Hclose: could not close hdf file\n");
      exit(-1);
    }

  exit(0);
}
